### Signal

# FwupdPlugin Progress::percentage-changed

since: 2.1.2

#### Declaration

    void
    percentage_changed (
      FuProgress* self,
      gdouble percentage,
      gpointer user_data
    )

#### Description [src]

The ::percentage-changed signal is emitted when the tasks completion has changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.1.2

#### Parameters

`percentage`

  Type: `gdouble`

  The new value.